Chapter 2 Connector/NET Versions

There are several versions of MySQL Connector/NET currently available:

The minimum connector versions that support the TLSv1.2 protocol are Connector/NET 6.10.4 and Connector/NET 8.0.11 (Commercial and Community Editions). In addition, the Microsoft Windows or Microsoft Windows Server host must support TLSv1.2 (enabled manually or by default). Connections made using Windows named pipes or shared memory do not support the TLSv1.2 protocol. For general guidance about configuring the server and clients for encrypted connections, see Configuring MySQL to Use Encrypted Connections.

The following table shows ADO.NET version support, .NET Framework and .NET Core version requirements, and the MySQL server versions supported by the connector.

Table 2.1 Connector/NET Requirements for Related Products

Connector/NET VersionADO.NET Version Supported.NET Version RequiredMySQL Server Versions SupportedCurrently Supported
8.0

(8.0.8 is the initial release.)

2.x+4.5.x for VS 2013 / 2015 / 2017, .NET Core 1.1 for VS 2015 / 2017, .NET Core 2.0 for VS 2017 - 15.0.3 (or later) and 8.0.10 (minimum)8.0, 5.7, 5.6, 5.5Yes
7.02.x+4.5.x for VS 2013 / 2015 / 2017, .NET Core 1.1 for VS 2015 / 20175.7, 5.6, 5.5Upgrade to 8.0
6.102.x+4.5.2 for VS 2013 / 2015 / 2017, .NET Core 1.1 for VS 2015 / 2017

6.10.5 (and later): .NET Core 2.0 for VS 2017 15.0.3 (or later)

8.0, 5.7, 5.6, 5.5Yes

The following versions of Connector/NET are no longer supported:

The following table shows the .NET Framework version required and the MySQL Server version supported by Connector/NET:

Table 2.2 Connector/NET Requirements for Related Products

Connector/NET VersionADO.NET Version Supported.NET Framework Version RequiredMySQL Server Version SupportedCurrently Supported
6.92.x+3.5+ for VS 2008, 4.x+ for VS 2010 / 2012 / 2013, WinRT for VS 2012 / 20135.7, 5.6, 5.5No
6.82.x+3.5+ for VS 2008, 4.x+ for VS 2010 / 2012 / 2013, WinRT for VS 2012 / 20135.7, 5.6, 5.5, 5.1, 5.0No
6.72.x+2.x+ for VS 2008, 4.x+ for VS 2010 / 2012 / 2013, WinRT for VS 2012 / 20135.7, 5.6, 5.5, 5.1, 5.0No
6.62.x+2.x+ for VS 2008, 4.x+ for VS 2010 / 2012 / 20135.7, 5.6, 5.5, 5.1, 5.0No
6.52.x+2.x+ for VS 2008, 4.x+ for VS 20105.7, 5.6, 5.5, 5.1, 5.0No
6.42.x+2.x+, 4.x+ for VS 20105.6, 5.5, 5.1, 5.0No
6.32.x+2.x+, 4.x+ for VS 20105.6, 5.5, 5.1, 5.0No
6.22.x+2.x+5.6, 5.5, 5.1, 5.0, 4.1No
6.12.x+2.x+5.6, 5.5, 5.1, 5.0, 4.1No
6.02.x+2.x+5.5, 5.1, 5.0, 4.1No
5.22.x+2.x+5.5, 5.1, 5.0, 4.1No
5.12.x+2.x+5.5, 5.1, 5.0, 4.1, 4.0No
5.02.x+2.x+5.0, 4.1, 4.0No
1.01.x1.x5.0, 4.1, 4.0No